Bug 167943 - [PATCH] fix warnings when compiling benchmarks/iozone
Summary: [PATCH] fix warnings when compiling benchmarks/iozone
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-16 02:10 UTC by Enji Cooper
Modified: 2013-02-03 22:30 UTC (History)
0 users

See Also:


Attachments
file.txt (1.24 KB, text/plain)
2012-05-16 02:10 UTC, Enji Cooper
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Enji Cooper freebsd_committer 2012-05-16 02:10:02 UTC
Some of the OS detection #ifdefs are incomplete for 2 files in iozone, which causes the compiler to spew out a lot of warnings when compiling it.

The attached patch fixes those issues.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-05-16 02:35:28 UTC
Maintainer of benchmarks/iozone,

Please note that PR ports/167943 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/167943

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-05-16 02:35:31 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 chifeng 2012-05-16 04:28:08 UTC
Thank you, it works fine. please commit.
Chifeng

-- 
*Regards.*
**- Chifeng
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2012-05-16 07:41:34 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2012-06-18 11:37:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 6 dfilter service freebsd_committer 2012-06-19 18:43:37 UTC
rm          2012-06-19 17:43:25 UTC

  FreeBSD ports repository

  Added files:
    benchmarks/iozone/files patch-libasync.c patch-libbif.c 
  Log:
  - add couple of patches to fix build warnings
  - do not bumping PORTREVISION, because it's non-functional change
  
  PR:     167943
  Submitted by:   Garrett Cooper <yanegomi at gmail dot com>
  Approved by:    chifeng <chifeng at gmail dot com> (maintainer)
  
  Revision  Changes    Path
  1.1       +20 -0     ports/benchmarks/iozone/files/patch-libasync.c (new)
  1.1       +11 -0     ports/benchmarks/iozone/files/patch-libbif.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Ruslan Makhmatkhanov freebsd_committer 2012-06-19 19:01:05 UTC
State Changed
From-To: open->closed

Committed, thank you!